zurück zum Artikel

Analyse: Windows-Client der Videokonferenz-Plattform Zoom mit Angriffspotenzial

Computer

(Bild: Andrey_Popov / Shutterstock.com)

Ein Sicherheitsforscher untersuchte die Windows-Version der Videokonferenzsoftware Zoom und stieß unter anderem auf verwundbare Komponenten.

Der deutsche Sicherheitsforscher mit dem Pseudonym THS hat sich den Zoom-Client für Windows eigenen Angaben nur oberflächlich angeschaut und bereits nach vergleichsweise kurzer Zeit diverse mögliche Angriffspunkte entdeckt.

In einem Beitrag schreibt der Sicherheitsforscher [1], rund sechs Stunden in eine statische Analyse investiert zu haben. Er geht davon aus, dass tiefergehende Beobachtungen noch weitere Schwachstellen aufdecken würden.

Bei der Analyse stieß er unter anderem auf den Einsatz der seit März 2018 nicht mehr im Support befindlichen Verschlüsselungssoftware OpenSSL 1.0.2. Darin finden sich mehrere Sicherheitslücken [2], für die es keine Sicherheitsupdates mehr geben wird.

Außerdem setzt der Zoom-Client noch auf verwundbare Versionen von libcurl (7.55.1) und libssh2. An dieser Stelle ist aber unklar, ob Angreifer die Lücken aufgrund der Implementierung in Zoom ausnutzen können, führt THS aus. Nichtsdestotrotz sollten Entwickler keine verwundbaren Bibliotheken in ihrem Code verwenden.

Die Datei Zzhost.dll enthält eine potenziell gefährliche Funktion, über die Angreifer eventuell einen Speicherfehler auslösen könnten. Über derartige Lücken kann in vielen Fällen Schadcode auf Computer gelangen. Außerdem kann der Crash-Reporter des Clients Teile der Windows Regsitry auslesen und Screenshots anfertigen. Weitere Infos zu möglichen Sicherheitsproblemen kann man im Beitrag von THS nachlesen [3].

Seitdem Zoom aufgrund der Corona-Krise weltweit millionenfach zum Einsatz kommt, erscheinen in regelmäßigen Abständen Meldungen zu Sicherheits- und Datenschutzproblemen [4].

Darüber hinaus soll es angeblich in Untergrundforen für 500.000 US-Dollar einen Exploit für eine bislang unbekannte Sicherheitslücke im macOS- und Windows-Client geben [5]. (des [6])


URL dieses Artikels:
https://www.heise.de/-4704624

Links in diesem Artikel:
[1] https://dev.io/posts/zoomzoo/
[2] https://www.cvedetails.com/vulnerability-list/vendor_id-217/product_id-383/version_id-258285/Openssl-Openssl-1.0.2o.html
[3] https://dev.io/posts/zoomzoo/
[4] https://www.heise.de/meldung/Videokonferenz-Software-Ist-Zoom-ein-Sicherheitsalptraum-4695000.html
[5] https://www.heise.de/meldung/Videokonferenzsoftware-Hacker-verkaufen-angeblich-Exploits-fuer-Zoom-Luecken-4703658.html
[6] mailto:des@heise.de